<?php



use Idearia\Logger;



class PipelineAccProduct extends Pipeline {



	public function import() {

		Logger::info( "PipelineAccProduct::import() started" );

		if ($productId = $this->itemId) {

			Logger::debug( "PipelineAccProduct::import() ID={$productId}" );

			$accProductController = new AccProductController();

			if ($accProductController->processImportProduct($productId)) {

				return true;

			}

		}



		return false;

	}



	public function sync() {

		Logger::info( "PipelineAccProduct::sync() started" );

		if ($productId = $this->itemId) {

			Logger::debug( "PipelineAccProduct::sync() ID={$productId}" );

			$accProductController = new AccProductController();

			if ($accProductController->processSyncProduct($productId)) {

				return true;

			}

		}



		return false;

	}





}